# VecShift

Shifts all of the components of a vector by computing x[i] = x[i] + shift.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecShift(Vec v,PetscScalar shift)

Collective on Vec

### Input Parameters

| v | - the vector
| shift | - the shift

### Output Parameter

v -the shifted vector

Level:intermediate
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages